Page MenuHomePhabricator

Display of cross-wiki search results: finalize mocks
Closed, ResolvedPublic

Description

As a team, and based on the design feedback generated on MediaWiki and the talk page, we want to create methods and functionality to generate and display additional (and relevant) search results on Wikipedia that are from other sister projects and the native language wiki where the user entered their search query.

This ticket will be used to finalize the design of the new search results page that will display cross-wiki search results and update the overall page design to incorporate metadata images and descriptions.

In this new page design, we need to be mindful of:

  • mobile and desktop ease of use
  • intuitive display and usage
  • users can 'turn off' the new cross-wiki search results in their browser (cached/cookies/some other method)
  • revamp the existing search results display to incorporate metadata images and descriptions
  • add description of article size and last updated date in search results
  • update pagination display at bottom of search results
  • update description of how many search results are displayed vs returned
  • update display of how many results per page the user wishes to have displayed
  • update display of "content pages" grey box
  • ensure additional results are displayed clearly (that were found after detecting what language the user typed in using TextCat)
    • consider using categories for the main search results

Mocks to be used as a starting point for the new page design that are based on community feedback:

Search Results:

Search Results with a different language query detected (using TextCat):

Event Timeline

debt created this task.Sep 26 2016, 4:35 PM
debt updated the task description. (Show Details)Sep 28 2016, 2:17 PM
debt added a comment.Oct 5 2016, 9:20 PM

We chatted today about some of the complications about categories being added to the search engine results page (serp):

  • retrieving categories from local wiki is probably easy / good to do
  • some categories are not necessarily meant to be visible or shown to a casual user
  • CirrusSearch doesn't know the difference between a 'hidden' or 'visible' category
  • we need some sort of mechanism to decide which categories will be sorted and shown
    • how many categories do we want to display (i.e.: if 50 are returned, how do we narrow that down to a much more manageable number - say 6)
    • maybe by how many items are in a category
    • maybe by pageviews
    • do we need to add in ranking
    • how does TextCat work with showing categories
    • more TBD
  • this could end up being quite a bit of work to do but it's a very interesting proposition
    • see more comments here
debt closed this task as Resolved.Jan 9 2017, 6:16 PM
debt claimed this task.

Closing this as resolved - more information on what mocks we want to use in testing is here: https://www.mediawiki.org/wiki/Cross-wiki_Search_Result_Improvements/Testing